import {
  Message
} from 'element-ui';
const Toast = (msg, type = 'success') => {
  Message({
    message: `${msg}`,
    type: type
  })
}

const tow = (n) => {
    return n >= 0 && n < 10 ? '0' + n : '' + n;
}
const timerClock = (startimer, endtimer) => {
    let oldTime = startimer;//现在距离1970年的毫秒数
    let newTime = endtimer;//2019年距离1970年的毫秒数
    let second = Math.floor((newTime - oldTime) / 1000);//未来时间距离现在的秒数
    let day = Math.floor(second / 86400);//整数部分代表的是天；一天有24*60*60=86400秒 ；
    second = second % 86400;//余数代表剩下的秒数；
    let hour = Math.floor(second / 3600);//整数部分代表小时；
    second %= 3600; //余数代表 剩下的秒数；
    let minute = Math.floor(second / 60);
    second %= 60;
    return {
        day:tow(day),
        hour:tow(hour),
        minute:tow(minute),
        second:tow(second)
    }
}
export {
  Toast,timerClock
}
