const state = () => ({
    results: null,
    isMobile:true
});

const mutations = {
    setResults(state, { results }) {
        state.results = results;
    },
    changePc(state, type) {
        state.isMobile = type;
    }
};

const actions = {
    startSearch({ commit, dispatch }, { results }) {
        commit("setResults", { results });
    },
    changePcActions({ commit, dispatch },type) {
        commit("changePc", type );
    }
};

const getters = {
    results: (state) => {
        return state.results
    },
    isMobile:(state) => {
        return state.isMobile
    }
};

export default {
    state,//这里你用到了哪几个属性就写哪几个，不需要的可以注释掉
    getters,
    actions,
    mutations
};