let baseUrl = "https://easyctid.cn/yjy";
import axios from 'axios';
import qs from 'qs'
import { Message } from 'element-ui';
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
const getApi = (url) => {    
    url = baseUrl+url;
    return new Promise((resolve, reject) =>{        
        axios.get(url).then(res => {
            resolve(res.data);
        }).catch(err =>{
            reject(err.data)        
    })    
});}
const postApi = (url, params = {}) => {
    url = baseUrl+url;
    return new Promise((resolve, reject) => {
         axios.post(url, qs.stringify(params))
        .then(res => {
            resolve(res.data);
        })
        .catch(err =>{
            Message({
                message: '系统错误',
                type: 'error'
            })
            reject(err.data)
        })
    });
}
export {
  getApi,
  postApi
};
