var gaSrc = function() {
	if(process.env.environment === 'cciesem') {
		return 'https://www.googletagmanager.com/gtag/js?id=UA-111447201-1'
	}else if (process.env.environment === 'cciesemnew') {
		return 'https://www.googletagmanager.com/gtag/js?id=UA-111447201-1'
	}else if (process.env.environment === 'spotodumps') {
		return '"https://www.googletagmanager.com/gtag/js?id=UA-171266716-1'
	}
}


var gadsSrc = function() {
	if(process.env.environment === 'cciesem') {
		return 'https://www.googletagmanager.com/gtag/js?id=AW-826987295'
	}else if (process.env.environment === 'cciesemnew') {
		return 'https://www.googletagmanager.com/gtag/js?id=AW-623225837'
	}
}


export default {
	mode: 'universal',
	/*
	 ** Headers of the page
	 */
	head: {
		title: '100% pass your ccna exam at first attempt with spoto ccna dump',
		meta: [{
				charset: 'utf-8'
			},
			{
				name: 'viewport',
				content: 'width=device-width, initial-scale=1'
			},
			{
				hid: 'description',
				name: 'description',
				content: 'SPOTO CCNA Dump with Actual Exam Questions & Answers, Get SPOTO CCNA Dump to 100% Pass CCNA Exam.'
			}
		],
		script: [{
			async: true,
			src: "https://cdn.ampproject.org/v0.js"
		}, {
			async: true,
			'custom-element': 'amp-accordion',
			src: "https://cdn.ampproject.org/v0/amp-accordion-0.1.js"
		}, {
			async: true,
			src: gaSrc(),
			type: "text/javascript"
		},{
			async: true,
			src: gadsSrc(),
			type: "text/javascript"
		}],
		link: [{
				rel: 'canonical',
				href: '$SOME_URL'
			},
			{
				rel: 'icon',
				type: 'image/x-icon',
				href: '/favicon.ico'
			}
		]
	},
	/*
	 ** Customize the progress-bar color
	 */
	loading: {
		color: '#fff'
	},
	/*
	 ** Global CSS
	 */
	css: [
		'~/static/css/public.css',
		'~/static/css/animate.min.css',
		'~/static/css/swiper.min.css',
		'element-ui/lib/theme-chalk/index.css'
	],
	/*
	 ** Plugins to load before mounting the App
	 */
	plugins: [{
		src: '~plugins/ElementUI',
		ssr: true
	}, {
		src: '~plugins/MicroSoftGa',
		ssr: false
	}],
	/*
	 ** Nuxt.js dev-modules
	 */
	buildModules: [],
	router: {
		base: '/pass-your-ccna-exam-with-spoto-ccna-dumps',
		middleware: ["device"],
		// base: '/pass-2020-ccna-exam-in-first-try/'
	},
	/*
	 ** Nuxt.js modules
	 */
	modules: [
		'@nuxtjs/style-resources'
	],
	/*
	 ** Build configuration
	 */
	build: {
		styleResources: {
			scss: './static/css/mixin.scss',
		},
		extend(config, ctx) {}
	},
	env: {
	    environment: process.env.environment
	}
}
